Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.math.model
Class PiecewiseExtFormatter

    java.lang.Object
      ru.biosoft.math.model.LinearFormatter
          ru.biosoft.math.model.PiecewiseExtFormatter

All Implemented Interfaces:
  Formatter

Direct Known Subclasses:
  JavaFormatter, MatlabFormatter

public abstract class PiecewiseExtFormatter
extends LinearFormatter

Field Summary
`protected int` | `auxVariableCounter`
`protected java.lang.String` | `auxVariableName`

Fields inherited from class ru.biosoft.math.model.LinearFormatter
`endl, result`

Constructor Summary
`PiecewiseExtFormatter()`

Method Summary
`java.lang.String[]` | `format(AstStart start)`
`protected abstract void` | `processElseIf(AstPiece node)`
`protected abstract void` | `processIf(AstPiece node)`
`protected abstract void` | `processOtherwise(AstPiece node)`
`protected void` | `processPiecewise(AstPiecewise node)`
`protected abstract void` | `processPiecewiseBegin(Node node)` Auxiliary variables initialization
`protected abstract void` | `processPiecewiseEnd(Node node)` Prints some final keyword if necessary
`protected void` | `resetVariableCounter()`

Methods inherited from class ru.biosoft.math.model.LinearFormatter
`getFunctionName, needParenthis, processConstant, processFunction, processFunctionDeclaration, processNode, processPiece, processVariable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### auxVariableCounter

    protected int auxVariableCounter

### auxVariableName

    protected java.lang.String auxVariableName

Constructor Detail

### PiecewiseExtFormatter

    public PiecewiseExtFormatter()

Method Detail

### resetVariableCounter

    protected void resetVariableCounter()

### format

    public java.lang.String[] format(AstStart start)

  Specified by:
    `format` in interface `Formatter`
  Overrides:
    `format` in class `LinearFormatter`

### processPiecewise

    protected void processPiecewise(AstPiecewise node)

  Overrides:
    `processPiecewise` in class `LinearFormatter`

### processIf

    protected abstract void processIf(AstPiece node)

### processElseIf

    protected abstract void processElseIf(AstPiece node)

### processOtherwise

    protected abstract void processOtherwise(AstPiece node)

### processPiecewiseBegin

    protected abstract void processPiecewiseBegin(Node node)

  Auxiliary variables initialization

### processPiecewiseEnd

    protected abstract void processPiecewiseEnd(Node node)

  Prints some final keyword if necessary

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.